Loading...
Searching...
No Matches
oval_entity Struct Reference
OVAL » OVALDEF

OVAL entity. More...

`#include <oval_definitions.h>`

Collaboration diagram for oval_entity:
[legend]

## Public Member Functions

OSCAP_API struct oval_entity * | oval_entity_new (struct oval_definition_model *)
OSCAP_API struct oval_entity * | oval_entity_clone (struct oval_definition_model *model, struct oval_entity *old_entity)
OSCAP_API void | oval_entity_free (struct oval_entity *)
Setters
OSCAP_API void | oval_entity_set_type (struct oval_entity *, oval_entity_type_t)
OSCAP_API void | oval_entity_set_datatype (struct oval_entity *, oval_datatype_t)
OSCAP_API void | oval_entity_set_mask (struct oval_entity *, int)
OSCAP_API void | oval_entity_set_varref_type (struct oval_entity *, oval_entity_varref_type_t)
OSCAP_API void | oval_entity_set_variable (struct oval_entity *, struct oval_variable *)
OSCAP_API void | oval_entity_set_value (struct oval_entity *, struct oval_value *)
OSCAP_API void | oval_entity_set_name (struct oval_entity *, char *)
OSCAP_API void | oval_entity_set_operation (struct oval_entity *, oval_operation_t)
Getters
OSCAP_API char * | oval_entity_get_name (struct oval_entity *)
| Get OVAL entity name.
OSCAP_API oval_entity_type_t | oval_entity_get_type (struct oval_entity *)
| Get OVAL entity type.
OSCAP_API oval_datatype_t | oval_entity_get_datatype (struct oval_entity *)
| Get OVAL entity datatype.
OSCAP_API oval_operation_t | oval_entity_get_operation (struct oval_entity *)
| Get OVAL entity operation type.
OSCAP_API struct oval_variable * | oval_entity_get_variable (struct oval_entity *)
| Get OVAL entity varref variable.
OSCAP_API struct oval_value * | oval_entity_get_value (struct oval_entity *)
| Get OVAL entity value.
OSCAP_API int | oval_entity_get_mask (struct oval_entity *)
| Get OVAL entity mask.
OSCAP_API oval_entity_varref_type_t | oval_entity_get_varref_type (struct oval_entity *)
| Get OVAL entity varref type.

## Data Fields

struct oval_definition_model * | model
oval_entity_type_t | type
oval_datatype_t | datatype
oval_operation_t | operation
int | mask
oval_entity_varref_type_t | varref_type
char * | name
struct oval_variable * | variable
struct oval_value * | value
bool | xsi_nil
| @xsi:nil boolean attribute

## Detailed Description

OVAL entity.

The documentation for this struct was generated from the following files:

- oval_entity.c
- oval_definitions.h